//
// Copyright (c) 2002-2023 WEINZIERL ENGINEERING GmbH
// All rights reserved.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
// SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY,
// WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE
//

#ifndef __KDRIVE_EXPRESS_MOCK_H__
#define __KDRIVE_EXPRESS_MOCK_H__

#include "kdrive_express_config.h"
#include "kdrive_express_defs.h"

/*!
	\file kdrive_express_mock.h
	\brief kdriveExpress Mock API
	\author Copyright (c) 2002-2023 WEINZIERL ENGINEERING GmbH
	\defgroup kdrive_express_mock kdriveExpress Mock helper for internal unit tests
*/

#ifdef __cplusplus
extern "C" {
#endif

/*******************************
** Access Port Mocking
********************************/

/*!
	\param [in] ap the access port descriptor
	\ingroup kdrive_express_mock
*/
kdriveExpress_API error_t kdrive_ap_open_mock(int32_t ap);

#ifdef __cplusplus
}
#endif

#endif /* __KDRIVE_EXPRESS_MOCK_H__ */
